[llvm-commits] [llvm] r78932 - /llvm/trunk/autoconf/AutoRegen.sh

Misha Brukman brukman+llvm at gmail.com
Thu Aug 13 13:29:30 PDT 2009


Author: brukman
Date: Thu Aug 13 15:29:30 2009
New Revision: 78932

URL: http://llvm.org/viewvc/llvm-project?rev=78932&view=rev
Log:
* Moved all tool version requirements to the same place
* Cleaned up multiple uses of literal version numbers and simplified 'cleaning'

Modified:
    llvm/trunk/autoconf/AutoRegen.sh

Modified: llvm/trunk/autoconf/AutoRegen.sh
URL: http://llvm.org/viewvc/llvm-project/llvm/trunk/autoconf/AutoRegen.sh?rev=78932&r1=78931&r2=78932&view=diff

==============================================================================
--- llvm/trunk/autoconf/AutoRegen.sh (original)
+++ llvm/trunk/autoconf/AutoRegen.sh Thu Aug 13 15:29:30 2009
@@ -1,33 +1,41 @@
-#!/bin/sh
-die () {
+#!/bin/bash
+
+die() {
   echo "$@" 1>&2
   exit 1
 }
 
-### NOTE: ############################################################"
-### The below two variables specify the auto* versions
-### periods should be escaped with backslash, for use by grep
+clean() {
+  echo $1 | sed -e 's/\\//g'
+}
+
+### NOTE: ############################################################
+### These variables specify the tool versions we want to use.
+### Periods should be escaped with backslash for use by grep.
 want_autoconf_version='2\.60'
 want_autoheader_version=$want_autoconf_version
-### END NOTE #########################################################"
-
+want_aclocal_version='1\.9\.6'
+want_libtool_version='1\.5\.22'
+### END NOTE #########################################################
 
 outfile=configure
 configfile=configure.ac
 
-want_autoconf_version_clean=`echo $want_autoconf_version | sed -e 's/\\\\//g'`
-want_autoheader_version_clean=`echo $want_autoheader_version | sed -e 's/\\\\//g'`
+want_autoconf_version_clean=$(clean $want_autoconf_version)
+want_autoheader_version_clean=$(clean $want_autoheader_version)
+want_aclocal_version_clean=$(clean $want_aclocal_version)
+want_libtool_version_clean=$(clean $want_libtool_version)
 
 test -d autoconf && test -f autoconf/$configfile && cd autoconf
 test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
 autoconf --version | grep $want_autoconf_version > /dev/null
 test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
-aclocal --version | grep '^aclocal.*1\.9\.6' > /dev/null
-test $? -eq 0 || die "Your aclocal was not detected as being 1.9.6"
+aclocal --version | grep '^aclocal.*'$want_aclocal_version > /dev/null
+test $? -eq 0 || die "Your aclocal was not detected as being $want_aclocal_version_clean"
 autoheader --version | grep '^autoheader.*'$want_autoheader_version > /dev/null
 test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
-libtool --version | grep '1\.5\.22' > /dev/null
-test $? -eq 0 || die "Your libtool was not detected as being 1.5.22"
+libtool --version | grep $want_libtool_version > /dev/null
+test $? -eq 0 || die "Your libtool was not detected as being $want_libtool_version_clean"
 echo ""
 echo "### NOTE: ############################################################"
 echo "### If you get *any* warnings from autoconf below you MUST fix the"
@@ -37,7 +45,7 @@
 echo "### present. You should get just three 'Regenerating..' lines."
 echo "######################################################################"
 echo ""
-echo "Regenerating aclocal.m4 with aclocal 1.9.6"
+echo "Regenerating aclocal.m4 with aclocal $want_aclocal_version_clean"
 cwd=`pwd`
 aclocal --force -I $cwd/m4 || die "aclocal failed"
 echo "Regenerating configure with autoconf $want_autoconf_version_clean"





More information about the llvm-commits mailing list